pjrec(1)

NAME
pjrec - reconstruction from projections

SYNOPSIS
pjrec projection-file image-file nx-image ny-image [OPTIONS]

DESCRIPTION
pjrec takes projection data from raysum-fileP and produces an (IF) image file image-file, of size nx-image by ny-image pixels, containing the reconstructed image.

OPTIONS
pjrec accepts the following options, which control the reconstruction algorithm:

--interp
    Interpolation method during backprojection

    nearest
        Nearest neighbor interpolation

    linear
        Linear interpolation

--preinterpolate
    Preinterpolation factor (default = 1). Used only with frequency-based filtering

--filter
    Filter name

    abs_bandlimit
        Abs * Bandlimiting (default)

    abs_sinc
        Abs * Sinc

    abs_cosine
        Abs * Cosine

    abs_hamming
        Abs * Hamming

    shepp
        Shepp-Logan

    bandlimit
        Bandlimiting

    sinc
        Sinc

    cosine
        Cosine

    triangle
        Triangle

    hamming
        Hamming

--filter-method
    Filter method before backprojections

    convolution
        Spatial filtering (default)

    fourier
        Frequency filtering with discete fourier

    fourier_table
        Frequency filtering with table lookup fourier

    fft Fast Fourier Transform

--zeropad n
    Set zeropad level (default = 0). set n to number of powers to two to pad

--filter-generation
    Filter Generation mode

    direct
        Use direct filter in spatial or frequency domain (default)

    inverse_fourier
        Use inverse fourier transform of inverse filter

--backproj
    Backprojection Method

    trig
        Trigometric functions at every point

    table
        Trigometric functions with precalculated table

    diff
        Difference method

    diff2
        Optimized difference method (default)

    idiff2
        Optimized difference method with integer math

    idiff3
        Highly-optimized difference method with integer math

--filter-param
    Alpha level for Hamming filter

--trace
    Set tracing to level:

    none
        No tracing (default)

    console
        Text level tracing

--verbose Turn on verbose mode

--debug Turn on debug mode

--version Print version

--help Print a terse help message

AUTHORS
Kevin Rosenberg, M.D. <kevin@ctsim.org>

HISTORY
CTSim was begun in 1983 using MS-DOS and an EGA display adapter. In 1999 it was ported to GNU/Linux and later ported to Microsoft Windows.

SEE ALSO
ctsim(1) ctsimtext(1) if1(1) if2(1) ifinfo(1) linogram(1) phm2helix(1) phm2if(1) phm2pj(1) pj2if(1) pjHinterp(1) pjinfo(1)